public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rake/
Date: Wed,  9 Mar 2016 22:38:55 +0000 (UTC)	[thread overview]
Message-ID: <1457563021.d5e1af0c2fa34cb87c14d05b1129d2e8049fe4d6.mrueg@gentoo> (raw)

commit:     d5e1af0c2fa34cb87c14d05b1129d2e8049fe4d6
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Wed Mar  9 22:37:01 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Wed Mar  9 22:37:01 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5e1af0c

dev-ruby/rake: Version bump

Package-Manager: portage-2.2.27

 dev-ruby/rake/Manifest           |  1 +
 dev-ruby/rake/rake-11.0.1.ebuild | 49 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-ruby/rake/Manifest b/dev-ruby/rake/Manifest
index 76687bd..e7c7708 100644
--- a/dev-ruby/rake/Manifest
+++ b/dev-ruby/rake/Manifest
@@ -3,3 +3,4 @@ DIST rake-10.3.2.gem 132608 SHA256 b504ad9d610b85ef0856a4771d024e4a66656c63a1712
 DIST rake-10.4.0.gem 130560 SHA256 887f72d6711c31576abab37f1f7db45972402cc8544fa9a67c06d2c0f0ef2028 SHA512 8b9c0e3b56bd9b47540c8c7a67fb019417e991cb15eac4de46cc611ab0d6838a931dd7b59b198a083c256dde488c767cde31d7fe18fc894c80cfcffc1a8d404f WHIRLPOOL fb21d20241288d15fd252f364853d506f223becfa88966987ded24609dd8350d3840e2770eb7ae6f9d4d9a9ea915df82632c369a7c22aecf0262e1405fc49898
 DIST rake-10.4.2.gem 130560 SHA256 28970905a7bb57ba7ebcd2eda820ccea622f549b101d7590353b0647711ec0e6 SHA512 6663cd785fc0f3fe6096f962cbb01e4300446a21aa57a4784f3b79cb3228895a8a207c32463888e243d425c168ae5361e9192d86c878e0535bf4ac061a80ce51 WHIRLPOOL 2fd3590ba2d3c333e724a4193b25064f03cf50f9216da9654fecc1e36369681f892d993e9bac135babcbac47cac562c46d20f5f05a4544ec62de4ae558f0b996
 DIST rake-10.5.0.gem 130560 SHA256 2b55a1ad44b5c945719d8a97c302a316af770b835187d12143e83069df5a8a49 SHA512 0c95921e00af8dbc51edf9fdb8a8d8b0cc68295894fd310b3c4e5aafef1d5d6f9819a9e8a9b4c854f54835115123411278992f6223e0fb18e2efa7fa58ab6fcf WHIRLPOOL a35b2070c8b0eef32a106b2d15c77ab60010cc4472d222eaed826cd98302e4c037f16c6bef5f1c372ea4c8b648edd2bd8e0895133d1efaee5548744d0770cc54
+DIST rake-11.0.1.gem 129024 SHA256 c4c902e78f2eb4d87ce7f18fe13483ab92d964197431113f422233dca340feda SHA512 f1adbfb73593ad337705600d019f50eaad567bd38986a6730c78916dc17ca6b93bfabc473357cb7bd1960d24bac7f7d8ea16987e9ee259189b2fbb5244e207bb WHIRLPOOL 8c5e7c77cf62e57a78ec6ce07ed3b49a90c5e0066600fbd55899f1f7963046ff9e02fea7ca6c2dbd0456d1baa91e3a8db4812f57594dc6f2a5b53336c8e3073c

diff --git a/dev-ruby/rake/rake-11.0.1.ebuild b/dev-ruby/rake/rake-11.0.1.ebuild
new file mode 100644
index 0000000..93013f7
--- /dev/null
+++ b/dev-ruby/rake/rake-11.0.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.rdoc TODO"
+
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit bash-completion-r1 ruby-fakegem
+
+DESCRIPTION="Make-like scripting in Ruby"
+HOMEPAGE="https://github.com/ruby/rake"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc"
+
+DEPEND+=" app-arch/gzip"
+
+ruby_add_bdepend "test? ( >=dev-ruby/minitest-5.8 )"
+
+all_ruby_compile() {
+	if use doc; then
+		rdoc --title "Rake - Ruby Make" --main README.rdoc --out html lib *.rdoc doc/*/*.rdoc || die
+	fi
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:test:. -e 'gem "minitest", "~>5.8"; require "minitest/autorun"; Dir["test/test_*.rb"].each{|f| require f}' || die
+}
+
+all_ruby_install() {
+	ruby_fakegem_binwrapper rake
+
+	if use doc; then
+		pushd html
+		dohtml -r *
+		popd
+	fi
+
+	doman doc/rake.1
+
+	newbashcomp "${FILESDIR}"/rake.bash-completion ${PN}
+}


             reply	other threads:[~2016-03-09 22:39 UTC|newest]

Thread overview: 98+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-03-09 22:38 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-04 15:20 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/rake/ Viorel Munteanu
2024-10-30  6:17 Hans de Graaff
2024-10-08 20:41 Arthur Zamarin
2024-10-08 19:48 Arthur Zamarin
2024-10-06 11:35 Sam James
2024-10-06 11:11 Sam James
2024-07-17  4:38 Viorel Munteanu
2024-04-06  6:14 Hans de Graaff
2024-04-03  5:50 Hans de Graaff
2024-02-09  9:13 Hans de Graaff
2023-10-28  6:42 Hans de Graaff
2023-07-09  2:13 Sam James
2023-06-16 17:42 Sam James
2023-03-29  0:11 Sam James
2023-03-28 23:39 Sam James
2023-03-28 23:39 Sam James
2023-03-28 22:13 Sam James
2023-03-28 21:49 Sam James
2023-03-04 10:25 Hans de Graaff
2022-03-12  7:21 Hans de Graaff
2021-07-30  9:59 Hans de Graaff
2021-07-21 10:27 Marek Szuba
2021-07-15 13:44 Sergei Trofimovich
2021-07-13  6:34 Agostino Sarubbo
2021-07-13  6:31 Agostino Sarubbo
2021-07-13  6:29 Agostino Sarubbo
2021-07-11  9:00 Agostino Sarubbo
2021-07-11  8:58 Agostino Sarubbo
2021-07-10  6:23 Hans de Graaff
2021-07-07  7:48 Hans de Graaff
2021-07-07  6:53 Hans de Graaff
2021-02-02  5:56 Hans de Graaff
2020-12-28  7:46 Hans de Graaff
2019-12-26 11:06 Hans de Graaff
2019-12-03 10:24 Hans de Graaff
2019-11-30 21:45 Sergei Trofimovich
2019-11-27 13:03 Mikle Kolyada
2019-11-26 19:35 Sergei Trofimovich
2019-11-23 16:53 Agostino Sarubbo
2019-11-23 15:46 Agostino Sarubbo
2019-11-23 15:40 Agostino Sarubbo
2019-11-23 15:33 Agostino Sarubbo
2019-11-23 12:46 Agostino Sarubbo
2019-11-23  0:13 Aaron Bauman
2019-11-22 16:23 Matt Turner
2019-11-12  6:28 Hans de Graaff
2019-11-02  8:51 Hans de Graaff
2019-09-28  5:47 Hans de Graaff
2019-07-23  6:08 Hans de Graaff
2019-04-27 19:48 Aaron Bauman
2019-01-09  9:36 Hans de Graaff
2018-12-30  3:43 Matt Turner
2018-12-27  2:57 Matt Turner
2018-12-26  8:20 Hans de Graaff
2018-12-25 11:11 Sergei Trofimovich
2018-12-15 14:25 Mikle Kolyada
2018-12-11 16:42 Thomas Deutschmann
2018-12-08  7:47 Hans de Graaff
2018-11-23  9:11 Hans de Graaff
2018-11-18  8:11 Hans de Graaff
2018-11-17 21:34 Thomas Deutschmann
2018-05-21  4:39 Hans de Graaff
2018-04-27 10:58 Hans de Graaff
2018-04-08  7:05 Hans de Graaff
2018-02-15 21:48 Michał Górny
2018-01-22 20:25 Hans de Graaff
2017-12-25 17:02 Hans de Graaff
2017-12-06 22:44 Sergei Trofimovich
2017-11-19  7:30 Hans de Graaff
2017-10-28  5:59 Hans de Graaff
2017-09-11  6:04 Hans de Graaff
2017-08-28 19:09 Hans de Graaff
2017-08-16 18:04 Hans de Graaff
2017-03-08 23:39 Michael Weber
2017-03-01 13:05 Michael Weber
2016-12-30 11:12 Agostino Sarubbo
2016-12-30  9:39 Agostino Sarubbo
2016-12-26 19:17 Hans de Graaff
2016-12-25  7:56 Hans de Graaff
2016-11-12  9:33 Hans de Graaff
2016-10-02  8:46 Jeroen Roovers
2016-07-08 14:46 Markus Meier
2016-06-30 15:21 Tobias Klausmann
2016-06-13 18:12 Hans de Graaff
2016-06-12  5:55 Hans de Graaff
2016-06-12  5:55 Hans de Graaff
2016-03-27 20:57 Manuel Rüger
2016-03-14 21:03 Manuel Rüger
2016-03-12 21:34 Manuel Rüger
2016-03-12 21:32 Manuel Rüger
2016-03-09 22:38 Manuel Rüger
2016-03-09 22:38 Manuel Rüger
2016-01-14 17:52 Hans de Graaff
2015-12-27  9:22 Hans de Graaff
2015-10-17 18:20 Manuel Rüger
2015-08-24  5:03 Jeroen Roovers
2015-08-09 16:03 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1457563021.d5e1af0c2fa34cb87c14d05b1129d2e8049fe4d6.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox